/*
*********************************************
*											*
*		Astro TIME functions				*
*											*
*********************************************
*/
#ifndef		_ATIME_H
#define		_ATIME_H
#include "astro.h"

/*
-----------------------------------------
		Reap second
-----------------------------------------
*/
typedef struct tag_reap{
	double dJD;
	double dTime;
} REAPSEC;


/*
-----------------------------------------
		astro time functions
-----------------------------------------
*/
/* julian function */
double julian(int nYear, int nMonth, double dDay);
void juian_date(double dJD, int *nYear, int *nMonth, double *dDay);
int jd_period(double dJD, int nPerioDay);

/* UTC <-> TAI function */
void set_dtt_table(REAPSEC *pdTbl);
double utc_tt(DATETIME *pUTC, double *pdJD_tt);
double tt_utc(double dJD_tt, DATETIME *pUTC);

/* common function */
void dayfrac_time(double dDayFrac, int *pnHour, int *pnMin, double *pdSec);


#endif
